org.apache.commons.math3.genetics

## Class RandomKeyMutation

- java.lang.Object
- - org.apache.commons.math3.genetics.RandomKeyMutation

- All Implemented Interfaces:
    MutationPolicy

      public class RandomKeyMutation
      extends java.lang.Object
      implements MutationPolicy

  Mutation operator for `RandomKey`s. Changes a randomly chosen element of the array representation to a random value uniformly distributed in [0,1].
  Since:
    2.0
  Version:
    $Id: RandomKeyMutation.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomKeyMutation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Chromosome` | `mutate(Chromosome original)` Mutate the given chromosome.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomKeyMutation

          public RandomKeyMutation()

  - ### Method Detail

    - #### mutate

          public Chromosome mutate(Chromosome original)
                            throws MathIllegalArgumentException

      Mutate the given chromosome.
      Specified by:
        `mutate` in interface `MutationPolicy`
      Parameters:
        `original` - the original chromosome.
      Returns:
        the mutated chromosome.
      Throws:
        `MathIllegalArgumentException` - if `original` is not a `RandomKey` instance

Copyright (c) 2003-2013 Apache Software Foundation